summaryrefslogtreecommitdiffstats
path: root/desktop/notion/notion.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'desktop/notion/notion.SlackBuild')
-rw-r--r--desktop/notion/notion.SlackBuild8
1 files changed, 5 insertions, 3 deletions
diff --git a/desktop/notion/notion.SlackBuild b/desktop/notion/notion.SlackBuild
index 1ef947ecf3..3a94cdc361 100644
--- a/desktop/notion/notion.SlackBuild
+++ b/desktop/notion/notion.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for notion
-# Copyright 2013 Dimitris Zlatanidis Greece-Orestiada
+# Copyright 2014 Dimitris Zlatanidis Greece-Orestiada
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,7 +23,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=notion
-VERSION=${VERSION:-3_2014010505}
+VERSION=${VERSION:-3_2014010900}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -56,7 +56,7 @@ fi
SRCVER=$(echo $VERSION | tr _ - )
-set -e
+set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
@@ -65,6 +65,7 @@ rm -rf $PRGNAM-$VERSION
mkdir $PRGNAM-$VERSION
cd $PRGNAM-$VERSION
tar xvf $CWD/$PRGNAM-$SRCVER-src.tar.gz
+cd $PRGNAM-$SRCVER
find -L . \
\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
-o -perm 511 \) -exec chmod 755 {} \; -o \
@@ -81,6 +82,7 @@ make \
X11INC=/usr/include \
X11LIB=/usr/lib${LIBDIRSUFFIX}/X11
+
make install \
OPTS="$SLKCFLAGS" \
PREFIX=/usr \